Summary: A binary file delta generator
Name: xdelta
Version: 3.0.3
Release: 1
License: GPLv2
Group: Development/Tools
Source0: http://xdelta.googlecode.com/files/%{name}3-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
URL: http://xdelta.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make, gcc >= 4.2.3-2

%description
Xdelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a binary delta generator (like a diff program for binaries) and an RCS
version control replacement library. Xdelta uses a binary file delta
algorithm to replace the standard diff program used by RCS


%prep
%setup -q -n %{name}3-%{version}

for all in `find . -type f -perm -001 | egrep '(Makefile|README|.*[ch]$)'`; do
    chmod -x "$all"
done

chmod -x COPYING xdelta3.1 *.txt *.vcxproj *.wxi *.wxs

%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

CC="gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"
CXX="g++ -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export CXXFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp xdelta3 ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp xdelta3.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# Create compat symlinks
cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s xdelta3 xdelta

cd ${RPM_BUILD_ROOT}%{_mandir}/man1
ln -s xdelta3.1 xdelta.1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Mon Aug 18 2014 Michael Perzl <michael@perzl.org> - 3.0.3-1
- updated to version 3.0.3

* Tue Jan 25 2011 Michael Perzl <michael@perzl.org> - 3.0.0-1
- first version for AIX V5.1 and higher
